# Originally created by pyp2rpm-3.3.2
%global pypi_name objgraph

Name:           python-%{pypi_name}
Version:        3.5.0
Release:        3%{?dist}
Summary:        Draws Python object reference graphs with graphviz

License:        MIT
URL:            https://mg.pov.lt/objgraph/
Source0:        https://files.pythonhosted.org/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python%{python3_pkgversion}-devel
%if 0%{?fedora} >= 28
BuildRequires:  python%{python3_pkgversion}-graphviz
BuildRequires:  python%{python3_pkgversion}-mock
%endif
BuildRequires:  graphviz
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-sphinx

Patch0:         0001-Back-to-development-3.5.1.patch

%description
Python Object Graphs :target:

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
 
%if 0%{?fedora} >= 28
Requires:       python%{python3_pkgversion}-graphviz
%endif
Requires:       graphviz
%description -n python%{python3_pkgversion}-%{pypi_name}
Python Object Graphs :target:

%package -n python-%{pypi_name}-doc
Summary:        objgraph documentation
%description -n python-%{pypi_name}-doc
Documentation for objgraph

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
# generate html docs 
PYTHONPATH=${PWD} sphinx-build-%{python3_version} docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%if 0%{?fedora} >= 28
%{__python3} setup.py test
%endif

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py?.[0-9]*.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE

%changelog
* Wed Dec 08 2021 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-python-objgraph.git

* Wed Dec 08 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3f87968
- version 3.5.0-3

* Wed Dec 08 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ebeb89c
- Fix installing on R4.0

* Mon Nov 01 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8e278fd
- version 3.5.0-2

* Mon Nov 01 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1b94add
- Fix build for R4.0

* Mon Nov 01 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f323b3f
- Use spec.in file

* Sun Oct 31 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c319d46
- Update to 3.5.0

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6532ed6
- Add .gitlab-ci.yml

* Fri Aug 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 97a5aa3
- Update travis

* Mon Nov 18 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b1101f1
- version 3.4.1-2

* Mon Nov 18 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4ebfeb3
- travis: drop fc27, fc28, add fc31

* Mon Nov 18 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a8953b0
- rpm: add BR: python3-mock

* Fri Nov 01 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 858016a
- version 3.4.0-3

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5384a37
- travis: switch to bionic

* Sat Apr 13 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 57ecf43
- travis: switch to xenial, add fc30, ignore irrelevant builds

* Fri Apr 12 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 2aa4585
- Fix %{python3_version} in sphinx-build cmd

* Sun Sep 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b35b25a
- version 3.4.0-2

* Sun Sep 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5e579ab
- Add also R: python3-graphviz

* Sat Sep 08 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e54e0e1
- Fix R: graphviz

* Sat Sep 08 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - be53478
- gitignore

* Sat Sep 08 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 20099fd
- travis: add .travis.yml

* Sat Sep 08 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 93d333c
- Add qubes-builder integration

* Sat Sep 08 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f2bbaca
- Initial commit

